## org.gnu.atk
Class StateSet

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.atk.StateSet

public class StateSet
extends GObject

Constructor Summary
`StateSet()`
`StateSet(org.gnu.glib.Handle handle)`

Method Summary
`boolean` `addState(StateType type)`
`void` `addStates(StateType[] types)`
`void` `clearStates()`
`boolean` `containsState(StateType type)`
`boolean` `containsStates(StateType[] types)`
`boolean` `isEmpty()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateSet

    public StateSet()

### StateSet

    public StateSet(org.gnu.glib.Handle handle)

Method Detail

### isEmpty

    public boolean isEmpty()

### addState

    public boolean addState(StateType type)

### addStates

    public void addStates(StateType[] types)

### clearStates

    public void clearStates()

### containsState

    public boolean containsState(StateType type)

### containsStates

    public boolean containsStates(StateType[] types)